<?php

/**
 *  @module      	Library SimplePie
 *  @version        see info.php of this module
 *  @author         cms-lab
 *  @copyright      2010-2018 cms-lab (http://cms-lab.com)
 *  @license        see license included in the package
 *  @license terms  see info.php of this addon
 *  @platform       see info.php of this addon
 */

 // include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

require_once LEPTON_PATH."/modules/lib_simplepie/library.php";

class lib_simplepie extends LEPTON_abstract
{

	// Inherited function from LEPTON_abstract.
    public function initialize()
    {

    }

	// function list output
    public function feed_list( $max = '10', $url = '' )
	{
		// Set which feed to process.
		$feed = new SimplePie();
		$feed->set_feed_url('feed://'.$url);


		// Run SimplePie.
		$feed->init();

		$f_link= $feed->get_permalink();
		$f_title= $feed->get_title();
		$f_desc= $feed->get_description();

		// This makes sure that the content is sent to the browser as text/html and the UTF-8 character set (since we didn't change it).
		$feed->handle_content_type();

		$html  = "<div class='feeder'>"; // start feeder
		$html .= "<h1><a href='".$f_link."' target='_blank'>".$f_title."</a></h1>";
		//$html .= "<p>".$f_desc."</p>";
		$html .= "\n<ul>\n";

		$count=0;
		foreach ($feed->get_items() as $item){
		$html .= "<li class='item'>";
		$html .= "<h2 class='item'><a href='".$item->get_permalink()."' target='_blank'>".$item->get_title()."</a></h2>";
		$html .= "</li>";
		if(++$count >= $max) break;
		}


		$html .= "</ul>\n";
		$html .= "</div>"; // end feeder
		unset( $feed);

		return $html;				
	}

	// function detailed output
    public function feed_details( $max = '10', $url = '' )
	{
		// Set which feed to process.
		$feed = new SimplePie();
		$feed->set_feed_url('feed://'.$url);


		// Run SimplePie.
		$feed->init();

		$f_link= $feed->get_permalink();
		$f_title= $feed->get_title();
		$f_desc= $feed->get_description();

		// This makes sure that the content is sent to the browser as text/html and the UTF-8 character set (since we didn't change it).
		$feed->handle_content_type();

		$html  = "<div class='feeder'>"; // start feeder

		$html .= "<div class='header'>";
		$html .= "<h1><a href='".$f_link."' target='_blank'>".$f_title."</a></h1>";
		$html .= "<p>".$f_desc."</p>";
		$html .= "</div>";


		$count=0;
		foreach ($feed->get_items() as $item){
		$html .= "<div class='item'>";
		$html .= "<h2><a href='".$item->get_permalink()."' target='_blank'>".$item->get_title()."</a></h2>";
		$html .= "<p>".$item->get_description()."</p>";
		$html .= "<p class='small'>Posted: ".$item->get_date('j F Y | g:i a')."</p>";
		$html .= "</div>";
		if(++$count >= $max) break;
		}

		$html .= "</div>"; // end feeder
		unset( $feed);

		return $html;				
	}
	
}
