<?php

/**
 *  @module      	Library SimplePie
 *  @version        see info.php of this module
 *  @author         cms-lab
 *  @copyright      2010-2018 cms-lab
 *  @license        see license included in the package
 *  @license terms  see info.php of this addon
 *  @platform       see info.php of this addon
 */

// include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php

// if directory not exists, create mandantory cache directory
$directory = LEPTON_PATH.'/cache';
if(!file_exists($directory)) {
	LEPTON_handle::register( "make_dir" );
	make_dir($directory); 

	$content = ''.
"<?php

/**
 *  @module      	Library SimplePie
 *  @version        see info.php of this module
 *  @author         cms-lab
 *  @copyright      2010-2018 cms-lab
 *  @license        see license included in the package
 *  @license terms  see info.php of this addon
 *  @platform       see info.php of this addon
*/

header('Location: ../');
?>";

	$handle = fopen(LEPTON_PATH.'/cache/index.php', 'w');
	fwrite($handle, $content);
	fclose($handle);
	change_mode(LEPTON_PATH.'/cache/index.php', 'file');		
}

//uninstall old droplets
$droplet_names = array(
	'simple_pie_detail',
	'simple_pie_list'
);
LEPTON_handle::uninstall_droplets($droplet_names);

//	install new droplets
$zip_names = array(
	'droplet_simplepie-details',
	'droplet_simplepie-list'
);
LEPTON_handle::install_droplets('lib_simplepie',$zip_names);

//	remove install directory
LEPTON_handle::delete_obsolete_directories('/modules/lib_simplepie/install');
?>
